%define libver 3
%define major  9
%define libname    %mklibname tsk %{libver} %{major}
%define develname  %mklibname tsk %{libver} -d

Summary:        The Sleuth Kit
Name:           sleuthkit
Version:        4.0.1
Release:        %mkrel 1
License:        CPL
Group:          File tools
URL:            http://www.sleuthkit.org/sleuthkit/
Source0:        http://prdownloads.sourceforge.net/sleuthkit/%{name}-%{version}.tar.gz
# Patch from 
# http://sourceforge.net/projects/libewf/files/patches%20for%203rd%20party%20software/sleuthkit/
Patch0:		sleuthkit-3.2.3-libewf.patch

Requires:       mac-robber
Requires:       file
Requires:       afflib
Requires:       libewf
Provides:       task = %{version}
Obsoletes:      task = %{version}
Conflicts:      dstat
BuildRequires:  gcc-c++
BuildRequires:  afflib-devel
BuildRequires:  libewf-devel
BuildRequires:  libstdc++-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libncurses-devel


%description
The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
line file system forensic tools that allow an investigator to examine NTFS,
FAT, FFS, EXT2FS, and EXT3FS file systems of a suspect computer in a
non-intrusive fashion. The  tools have a layer-based design and can extract
data from internal file system structures. Because the tools do not rely on the
operating system to process the file systems, deleted and hidden content is
shown.

When performing a complete analysis of a system, command line tools can become
tedious. The Autopsy Forensic Browser is a graphical interface to the tools in
The Sleuth Kit, which allows one to more easily conduct an investigation.
Autopsy provides case management, image integrity, keyword searching, and other
automated operations.

%package -n %{libname}
Summary:    Library for %{name}
Group:      System/Libraries

%description -n %{libname}
The %libname package contains library for %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}
#patch0 -p1 -b .libewf

%build
autoreconf -fi
export LIBS='-lpthread -ldl -lstdc++'
%configure --disable-static 

# remove rpath from libtool (fedora)
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

# hack...
perl -pi -e "s|%{_builddir}/%{name}-%{version}|%{_prefix}|g" bin/sorter

%install
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc ChangeLog.txt README.txt licenses/*
# License is CPL 1.0 exept for some files.
%{_bindir}/blkcalc
%{_bindir}/blkcat
%{_bindir}/blkls
%{_bindir}/blkstat
%{_bindir}/fcat
%{_bindir}/ffind
%{_bindir}/fls
%{_bindir}/fsstat
%{_bindir}/hfind
%{_bindir}/icat
%{_bindir}/ifind
%{_bindir}/ils
%{_bindir}/img_cat
%{_bindir}/img_stat
%{_bindir}/istat
%{_bindir}/jcat
%{_bindir}/jls
# This file is described as GPL in the doc
# But the license remains CPL in the source.
%{_bindir}/mactime
##
%{_bindir}/mmcat
%{_bindir}/mmls
%{_bindir}/mmstat
%{_bindir}/sigfind
%{_bindir}/sorter
%{_bindir}/tsk_comparedir
%{_bindir}/tsk_gettimes
%{_bindir}/tsk_loaddb
%{_bindir}/tsk_recover
## This file is GPLv2+
%{_bindir}/srch_strings
#
%{_mandir}/man1/blkcalc.1*
%{_mandir}/man1/blkcat.1*
%{_mandir}/man1/blkls.1*
%{_mandir}/man1/blkstat.1*
%{_mandir}/man1/ffind.1*
%{_mandir}/man1/fls.1*
%{_mandir}/man1/fsstat.1*
%{_mandir}/man1/hfind.1*
%{_mandir}/man1/icat.1*
%{_mandir}/man1/ifind.1*
%{_mandir}/man1/ils.1*
%{_mandir}/man1/img_cat.1*
%{_mandir}/man1/img_stat.1*
%{_mandir}/man1/istat.1*
%{_mandir}/man1/jcat.1*
%{_mandir}/man1/jls.1*
%{_mandir}/man1/mactime.1*
%{_mandir}/man1/mmcat.1*
%{_mandir}/man1/mmls.1*
%{_mandir}/man1/mmstat.1*
%{_mandir}/man1/sigfind.1*
%{_mandir}/man1/sorter.1*
%{_mandir}/man1/tsk_comparedir.1*
%{_mandir}/man1/tsk_gettimes.1*
%{_mandir}/man1/tsk_loaddb.1*
%{_mandir}/man1/tsk_recover.1*
%dir %{_datadir}/tsk3
%{_datadir}/tsk3/sorter/

%files -n %{libname}
%{_libdir}/libtsk3.so.%{major}*

%files -n %{develname}
# CPL and IBM
%{_includedir}/tsk3/
%{_libdir}/libtsk3.so





%changelog

* Sat Jan 26 2013 malo <malo> 4.0.1-1.mga2
+ Revision: 392306
- update to 4.0.1 to fix CVE-2012-5619 (mga#8800)

  + sander85 <sander85>
    - rebuild for new libewf

* Sun Jan 29 2012 malo <malo> 3.2.3-1.mga2
+ Revision: 203020
- new version 3.2.3
- mac-robber is now in a separate package
- spec clean-up after import from Mandriva
- imported package sleuthkit

